function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { getVtxToken, request } from '@vtx/utils';
import { Button, Space, Tooltip } from 'antd';
import Base64 from 'base-64';
import { useEffect, useState } from 'react';
import { VmTable } from "../../../_components";
import Right from "../Right";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var preview = function preview() {
  var item = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
    id: '',
    name: ''
  };
  window.open("/cloud/kkPreview/onlinePreview?url=".concat(Base64.encode("".concat(location.origin, "/cloudFile/common/downloadFile?token=").concat(getVtxToken('token'), "&id=").concat(item.id, "&fullfilename=").concat(encodeURIComponent(item.name))), "&token=").concat(getVtxToken('token')));
};
var renderFile = function renderFile(list) {
  return list.map(function (item) {
    return /*#__PURE__*/_jsx("div", {
      children: /*#__PURE__*/_jsx(Tooltip, {
        color: "#fff",
        title: /*#__PURE__*/_jsxs(Space, {
          children: [/*#__PURE__*/_jsx(Button, {
            type: "primary",
            onClick: function onClick() {
              return preview(item);
            },
            children: "\u9884\u89C8"
          }), /*#__PURE__*/_jsx(Button, {
            onClick: function onClick() {
              return window.open("/cloudFile/common/downloadFile?token=".concat(getVtxToken('token'), "&id=").concat(item.id));
            },
            children: "\u4E0B\u8F7D"
          })]
        }),
        children: /*#__PURE__*/_jsx("a", {
          className: "fileName",
          title: item.name,
          children: item.name
        })
      })
    }, item.id);
  });
};
var listAttach = function listAttach(params) {
  return request.get('/cloud/zhzf/api/v101/case/listAttach', {
    data: params
  });
};
export default (function (props) {
  var id = props.id,
    detail = props.detail;
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    fileList = _useState2[0],
    setFileList = _useState2[1];
  var _useState3 = useState([]),
    _useState4 = _slicedToArray(_useState3, 2),
    videoList = _useState4[0],
    setVideoList = _useState4[1];
  useEffect(function () {
    id && listAttach({
      caseId: id
    }).then(function (res) {
      if ((res === null || res === void 0 ? void 0 : res.result) === 0) {
        setFileList((res.data || []).filter(function (item) {
          return item.file;
        }));
        setVideoList((res.data || []).filter(function (item) {
          return item.video;
        }));
      }
    });
  }, [id]);
  var fileProps = {
    columns: [{
      title: '序号',
      dataIndex: 'orderIndex',
      key: 'orderIndex',
      width: 40
    }, {
      title: '名称',
      dataIndex: 'file',
      key: 'file',
      width: 160,
      ellipsis: true,
      render: function render(text) {
        return renderFile(JSON.parse(text));
      }
    }, {
      title: '上传节点',
      dataIndex: 'taskName',
      key: 'taskName',
      width: 120,
      ellipsis: true
    }, {
      title: '上传时间',
      dataIndex: 'uploadTime',
      key: 'uploadTime',
      width: 100,
      ellipsis: true
    }, {
      title: '上传人',
      dataIndex: 'updateStaffName',
      key: 'updateStaffName',
      width: 120,
      ellipsis: true
    }],
    height: 200,
    isIndex: false,
    pagination: false,
    dataSource: fileList.map(function (item, index) {
      return _objectSpread(_objectSpread({}, item), {}, {
        orderIndex: index + 1
      });
    })
  };
  var videoProps = {
    columns: [{
      title: '序号',
      dataIndex: 'orderIndex',
      key: 'orderIndex',
      width: 60
    }, {
      title: '名称',
      dataIndex: 'video',
      key: 'video',
      width: 160,
      ellipsis: true,
      render: function render(text) {
        return renderFile(JSON.parse(text));
      }
    }, {
      title: '上传节点',
      dataIndex: 'taskName',
      key: 'taskName',
      width: 120,
      ellipsis: true
    }, {
      title: '上传时间',
      dataIndex: 'uploadTime',
      key: 'uploadTime',
      width: 100,
      ellipsis: true
    }, {
      title: '上传人',
      dataIndex: 'updateStaffName',
      key: 'updateStaffName',
      width: 120,
      ellipsis: true
    }],
    height: 200,
    isIndex: false,
    pagination: false,
    dataSource: videoList.map(function (item, index) {
      return _objectSpread(_objectSpread({}, item), {}, {
        orderIndex: index + 1
      });
    })
  };
  return /*#__PURE__*/_jsxs("div", {
    className: "zf-file-content",
    children: [/*#__PURE__*/_jsxs("div", {
      className: "zf-file-left",
      children: [/*#__PURE__*/_jsxs("div", {
        className: "zf-left-panel",
        children: [/*#__PURE__*/_jsx("div", {
          className: "zf-file-title",
          children: "\u9644\u4EF6"
        }), /*#__PURE__*/_jsx(VmTable, _objectSpread({}, fileProps))]
      }), /*#__PURE__*/_jsxs("div", {
        className: "zf-left-panel",
        children: [/*#__PURE__*/_jsx("div", {
          className: "zf-file-title",
          children: "\u5173\u8054\u89C6\u9891"
        }), /*#__PURE__*/_jsx(VmTable, _objectSpread({}, videoProps))]
      })]
    }), /*#__PURE__*/_jsx(Right, {
      detail: detail
    })]
  });
});